# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/lg,lg4573.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LG LG4573 TFT Liquid Crystal Display with SPI control bus

description: |
  The panel must obey the rules for a SPI slave device as specified in
  spi/spi-controller.yaml

maintainers:
  - Heiko Schocher <hs@denx.de>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: lg,lg4573

  reg: true
  spi-max-frequency: true

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        lcd_panel: display@0 {
            compatible = "lg,lg4573";
            spi-max-frequency = <10000000>;
            reg = <0>;
        };
    };

...
